Subject: Re: bug#64428: [PATCH] Fix flymake mode line scrolling with pixel-scroll-precision-mode

From: João Távora <[email-masked]>
Date: Fri, 7 Jul 2023 12:37:44 +0100

On Thu, Jul 6, 2023 at 3:04 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Spencer Baugh <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Thu, 06 Jul 2023 09:16:41 -0400
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > >> * lisp/progmodes/flymake.el:(flymake--mode-line-counter-scroll-prev,
> > >> flymake--mode-line-counter-scroll-next,
> > >> flymake--mode-line-counter-map): Add.
> > >> (flymake--mode-line-counter): Use new keymap and include 'type as a
> > >> property in the mode-line.
> > >
> > > Thanks.  Any reason you couldn't simply add more events to the
> > > existing code?
> >
> > Two reasons:
> >
> > 1. I initially did that but it made the code uglier.  Also, this code is
> > run every time the mode-line is updated, and adding more of that seems
> > bad.
> >
> > 2. This makes describe-key work better and makes it possible for users
> > to configure the scroll direction or add more bindings for different
> > things.
>
> This means your changeset is actually two different loosely-related
> changes.  The one that refactors the original code needs approval from
> João (CC'ed).  Once João is happy with that refactoring, I'm okay with
> adding the extra events to it.

Hi Eli, Spencer,

I've reviewed the code.  I understand Spencer's rationale for the
small refactoring and I'm OK with it.

However I didn't test.  I'd say it's better for this new capability to
go to master, though with some minimal testing (say, at least in tty
as well as graphical mode) it shouldn't be really dangerous for
emacs-29 either.

João